package com.palmnest.dao.notice;

import java.util.ArrayList;
import java.util.List;

import com.palmnest.application.bean.Page;
import com.palmnest.dao.GenericDao;
import com.palmnest.model.notice.WxtemplateMessageConfigModel;

public interface WxtemplateMessageConfigDao extends GenericDao<WxtemplateMessageConfigModel, Integer> {
	public void delByTemplateMessageId(Integer templateMessageId);

	public Page findAll(int id) throws Exception;

	public Page findTemplateByTempId(int tempId) throws Exception;

	public List<WxtemplateMessageConfigModel> findTemplateByTempIdAndTempMsgId(int tempId, int tempMsgId) throws Exception;

	public List<WxtemplateMessageConfigModel> findTemplateByTempIdDefault(int tempId) throws Exception;

	public List<WxtemplateMessageConfigModel> getWxTemplConfigByTypeId(int typeId, int msgId) throws Exception;

	public List<WxtemplateMessageConfigModel> getWxTemplConfigByTypeId(int typeId) throws Exception;

	public void delByTemplateId(Integer templateMessageId) throws Exception;

	public Page findTemplateByTempIdFromLibrary(int tempId) throws Exception;

}
